LBFILL(3NCARG)

NAME
LBFILL - A routine that is called by LBLBAR (when the argument IFTP is non-zero) to fill portions of the bar. The default version of this routine does color fill by calling GSFACI and GFA. A user-written version may be supplied to do a different kind of fill.

SYNOPSIS
CALL LBFILL (IFTP, XCRA, YCRA, NCRA, INDX)

DESCRIPTION

IFTP
    (an input expression of type INTEGER) is the value of the argument IFTP from the user's call to LBLBAR.

XCRA, YCRA
    (input arrays of type REAL) are real arrays containing the X and Y coordinates of five points defining a rectangular box which is to be filled in some manner. The fifth point defined by these arrays will always be a duplicate of the first.

NCRA
    (an input expression of type INTEGER) is the number of points defining the rectangular box. Its value will always be five.

INDX
    (an input expression of type INTEGER) is one of the indices from the array LFIN, in the user's call to LBLBAR. Its value may be used as a color index or as a pattern selector.

USAGE
This routine is called by LBLBAR when LBLBAR's argument IFTP is non-zero. LBFILL is called once for each sub-box in the label bar, using a statement of the form:

    CALL LBFILL (IFTP,XCRA,YCRA,NCRA,INDX)

and is expected to fill the sub-box defined by its arguments. The default version of the routine looks like this:

    SUBROUTINE LBFILL (IFTP,XCRA,YCRA,NCRA,INDX)
        DIMENSION XCRA(*),YCRA(*)
        CALL GSFACI (INDX)
        CALL GFA (NCRA-1,XCRA,YCRA)
        RETURN
    END

This version does color fill of the box, using the last argument as a color index. The user may replace this routine with a version that does any desired sort of fill; usually, this can be done by simply compiling the desired version, so that the default one from the package will not be loaded.

ACCESS
To use LBFILL, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: labelbar, labelbar_params, lbgeti, lbgetr, lblbar, lbseti, lbsetr, ncarg_cbind

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.